Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(223)

Issue 1169983006: Convert BrowserPlugin to render using cc::Surfaces. (Closed)

Created:
5 years, 1 month ago by wjmaclean
Modified:
5 years ago
Reviewers:
kenrb, Fady Samuel, nasko
CC:
chromium-reviews, mlamouri+watch-content_chromium.org, creis+watch_chromium.org, nasko+codewatch_chromium.org, jam, darin-cc_chromium.org, mkwst+moarreviews-renderer_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Convert BrowserPlugin to render using cc::Surfaces. This CL adds the appropriate machinery to allow BrowserPlugin to render using surfaces. This directly affects WebView and other GuestView types, such as the out-of-process PDF viewer. Where possible, functionality in RenderWidgetHostViewChildFrame that did not need to be replicated in RenderWidgetHostViewGuest was left untouched. This CL is based closely on https://codereview.chromium.org/1094113003/. BUG=none Committed: https://crrev.com/53032adf732a092a342ae1ef2f3039adf89082d1 Cr-Commit-Position: refs/heads/master@{#334392}

Patch Set 1 #

Patch Set 2 : Fix compile (always compile before uploading it seems). #

Patch Set 3 : Restore missing, OSX-specific include file. #

Patch Set 4 : Restore guest resize pathway. #

Total comments: 4

Patch Set 5 : Address comments. #

Patch Set 6 : Add test. #

Total comments: 2

Patch Set 7 : Rebase to master@{#334156} #

Patch Set 8 : Fix test. #

Total comments: 1

Patch Set 9 : Fix integer type, add comment. #

Patch Set 10 : Update test to always call UpdateGuestSizeIfNecessary(). #

Unified diffs Side-by-side diffs Delta from patch set Stats (+420 lines, -33 lines) Patch
M content/browser/browser_plugin/browser_plugin_guest.h View 1 2 3 4 5 3 chunks +22 lines, -6 lines 0 comments Download
M content/browser/browser_plugin/browser_plugin_guest.cc View 1 2 3 4 5 6 7 chunks +53 lines, -9 lines 0 comments Download
M content/browser/frame_host/render_widget_host_view_child_frame.h View 1 2 3 4 5 3 chunks +7 lines, -3 lines 0 comments Download
M content/browser/frame_host/render_widget_host_view_guest.h View 1 chunk +0 lines, -1 line 0 comments Download
M content/browser/frame_host/render_widget_host_view_guest.cc View 1 2 3 4 5 3 chunks +67 lines, -9 lines 0 comments Download
M content/browser/frame_host/render_widget_host_view_guest_unittest.cc View 1 2 3 4 5 6 7 8 9 2 chunks +184 lines, -0 lines 0 comments Download
M content/common/browser_plugin/browser_plugin_messages.h View 3 chunks +17 lines, -0 lines 0 comments Download
M content/renderer/browser_plugin/browser_plugin.h View 1 2 3 4 5 6 3 chunks +13 lines, -0 lines 0 comments Download
M content/renderer/browser_plugin/browser_plugin.cc View 1 2 3 4 5 6 2 chunks +24 lines, -0 lines 0 comments Download
M content/renderer/child_frame_compositing_helper.h View 1 chunk +6 lines, -0 lines 0 comments Download
M content/renderer/child_frame_compositing_helper.cc View 1 2 3 4 3 chunks +27 lines, -5 lines 0 comments Download

Messages

Total messages: 35 (13 generated)
wjmaclean
kenrb@ - This first patch is meant primarily for running on the bots, but feel ...
5 years, 1 month ago (2015-06-09 19:32:40 UTC) #2
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1169983006/60001
5 years, 1 month ago (2015-06-10 14:22:16 UTC) #4
wjmaclean
I think this is working properly now, please take a look.
5 years, 1 month ago (2015-06-10 15:04:54 UTC) #6
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
5 years, 1 month ago (2015-06-10 15:18:57 UTC) #8
nasko
Ken is much better reviewer for this CL. I'm happy to rubberstamp once he says ...
5 years, 1 month ago (2015-06-10 15:45:46 UTC) #9
kenrb
Just a couple of nits. Did you look into adding a test here? https://codereview.chromium.org/1169983006/diff/60001/content/browser/frame_host/render_widget_host_view_guest.cc File ...
5 years, 1 month ago (2015-06-10 20:43:39 UTC) #10
wjmaclean
I'll see if I can devise a suitable test for this pathway (we have indirect ...
5 years, 1 month ago (2015-06-10 21:05:03 UTC) #11
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1169983006/100001
5 years ago (2015-06-12 13:59:40 UTC) #13
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: mac_chromium_compile_dbg_ng on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_compile_dbg_ng/builds/63002)
5 years ago (2015-06-12 14:02:36 UTC) #15
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1169983006/120001
5 years ago (2015-06-12 14:18:24 UTC) #17
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: linux_chromium_asan_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_asan_rel_ng/builds/17049)
5 years ago (2015-06-12 15:28:42 UTC) #19
wjmaclean
https://codereview.chromium.org/1169983006/diff/140001/content/browser/frame_host/render_widget_host_view_guest_unittest.cc File content/browser/frame_host/render_widget_host_view_guest_unittest.cc (right): https://codereview.chromium.org/1169983006/diff/140001/content/browser/frame_host/render_widget_host_view_guest_unittest.cc#newcode176 content/browser/frame_host/render_widget_host_view_guest_unittest.cc:176: base::RunLoop().RunUntilIdle(); I'm going to add a comment about why ...
5 years ago (2015-06-12 21:00:35 UTC) #20
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1169983006/140001
5 years ago (2015-06-12 21:01:40 UTC) #22
kenrb
lgtm https://codereview.chromium.org/1169983006/diff/100001/content/browser/frame_host/render_widget_host_view_guest_unittest.cc File content/browser/frame_host/render_widget_host_view_guest_unittest.cc (right): https://codereview.chromium.org/1169983006/diff/100001/content/browser/frame_host/render_widget_host_view_guest_unittest.cc#newcode109 content/browser/frame_host/render_widget_host_view_guest_unittest.cc:109: void SwapCompositorFrame(uint32 output_surface_id, This is probably copied and ...
5 years ago (2015-06-12 21:02:47 UTC) #23
wjmaclean
https://codereview.chromium.org/1169983006/diff/100001/content/browser/frame_host/render_widget_host_view_guest_unittest.cc File content/browser/frame_host/render_widget_host_view_guest_unittest.cc (right): https://codereview.chromium.org/1169983006/diff/100001/content/browser/frame_host/render_widget_host_view_guest_unittest.cc#newcode109 content/browser/frame_host/render_widget_host_view_guest_unittest.cc:109: void SwapCompositorFrame(uint32 output_surface_id, On 2015/06/12 21:02:47, kenrb wrote: > ...
5 years ago (2015-06-12 21:13:15 UTC) #24
Fady Samuel
lgtm
5 years ago (2015-06-12 21:15:39 UTC) #25
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1169983006/180001
5 years ago (2015-06-15 12:36:57 UTC) #28
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: win_chromium_rel_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/69666)
5 years ago (2015-06-15 14:04:01 UTC) #30
nasko
Rubberstamp LGTM
5 years ago (2015-06-15 16:37:02 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1169983006/180001
5 years ago (2015-06-15 16:43:31 UTC) #33
commit-bot: I haz the power
Committed patchset #10 (id:180001)
5 years ago (2015-06-15 16:49:29 UTC) #34
commit-bot: I haz the power
5 years ago (2015-06-15 16:50:21 UTC) #35
Message was sent while issue was closed.
Patchset 10 (id:??) landed as
https://crrev.com/53032adf732a092a342ae1ef2f3039adf89082d1
Cr-Commit-Position: refs/heads/master@{#334392}

Powered by Google App Engine
This is Rietveld 408576698